Subject: Re: 1.3.3-2: Process creation is possible with ppid = 0 and pgid = 0
From: Robert Legros <[email-masked]>
To: [email-masked]
Cc: Robert Legros <[email-masked]>
Date: Fri, 5 Oct 2001 02:23:42 -0700 (PDT)

--- Robert Legros <[email-masked]> wrote:
> Hello,
> 
> It is possible to create a Cygwin process whose ppid
> and pgid are both zero.
> 
> If you type the following commands at the shell
> command prompt (bash or ash) :
>         sh -c "sleep 10 &"
>         ps
> you will see a process whose PPID and PGID are 0.
> 
> I really do suppose it was not meant to allow such a
> thing. Normally, a detached process should have ppid
> and pgid with value 1. That's what does occur when
> you
> type the following commands :
>         sleep 10 &
>         ps
> 
> Best Regards,
> 
> 
> 
> =====
> Robert Legros
> south Brussels, Belgium
> [email-masked]
> 

I tested the snapshot 'cygwin1-20011005.dll' and ...
it works !

Dear Christopher Faylor, I would like to thank you for
work and for your prompt support !

Best Regards,

=====
Robert Legros
south Brussels, Belgium
[email-masked]

__________________________________________________
Do You Yahoo!?
NEW from Yahoo! GeoCities - quick and easy web site hosting, just $8.95/month.
http://geocities.yahoo.com/ps/info1

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/